using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 安邦身高标准
    /// </summary>
    [SugarTable("AB_HeightStand", TableDescription = "新的身高标准", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class AB_HeightStand
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 月龄
        /// </summary>
        [SugarColumn(ColumnDescription = "月龄", ColumnDataType = "decimal(6,2)")]
        public decimal Month { get; set; }

        /// <summary>
        /// 性别,1-男,2-女
        /// </summary>
        [SugarColumn(ColumnDescription = "性别,1-男,2-女")]
        public GenderType Sex { get; set; }

        /// <summary>
        /// -3SD
        /// </summary>
        [SugarColumn(ColumnDescription = "-3SD", ColumnDataType = "decimal(4,1)")]
        public decimal f3sd { get; set; }

        /// <summary>
        /// -2SD
        /// </summary>
        [SugarColumn(ColumnDescription = "2SD", ColumnDataType = "decimal(4,1)")]
        public decimal f2sd { get; set; }

        /// <summary>
        /// -1SD
        /// </summary>
        [SugarColumn(ColumnDescription = "1SD", ColumnDataType = "decimal(4,1)")]
        public decimal f1sd { get; set; }

        /// <summary>
        /// 中位数
        /// </summary>
        [SugarColumn(ColumnDescription = "中位数", ColumnDataType = "decimal(4,1)")]
        public decimal median { get; set; }

        /// <summary>
        /// +1SD
        /// </summary>
        [SugarColumn(ColumnDescription = "1SD", ColumnDataType = "decimal(4,1)")]
        public decimal z1sd { get; set; }

        /// <summary>
        /// +2SD
        /// </summary>
        [SugarColumn(ColumnDescription = "2SD", ColumnDataType = "decimal(4,1)")]
        public decimal z2sd { get; set; }

        /// <summary>
        /// +3SD
        /// </summary>
        [SugarColumn(ColumnDescription = "3SD", ColumnDataType = "decimal(4,1)")]
        public decimal z3sd { get; set; }
    }
}
